# Copyright 2021 Huawei Technologies Co., Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============================================================================
"""
Models init
"""
from . import (
    albert,
    auto,
    bark,
    bart,
    bert,
    big_bird,
    bloom,
    clip,
    codegen,
    cpm,
    cpmant,
    cpmbee,
    deberta,
    distilbert,
    electra,
    encodec,
    esm,
    ernie,
    ernie_m,
    chatglm,
    chatglm2,
    chatglm3,
    gemma,
    gpt,
    gpt2,
    gpt_bigcode,
    gpt_neo,
    gpt_neox,
    gpt_pangu,
    graphormer,
    hubert,
    layoutlm,
    llama,
    longformer,
    luke,
    mamba,
    mbart,
    megatron_bert,
    minicpm,
    mistral,
    mixtral,
    mobilebert,
    nezha,
    opt,
    phi,
    pop2piano,
    qwen2,
    reformer,
    roberta,
    rwkv,
    seamless_m4t,
    seamless_m4t_v2,
    starcoder2,
    t5,
    tinybert,
    wav2vec2,
    whisper,
    xlm,
    xlm_roberta,
)

from .albert import *
from .auto import *
from .bark import *
from .bart import *
from .bert import *
from .big_bird import *
from .bloom import *
from .clip import *
from .codegen import *
from .cpm import *
from .cpmant import *
from .cpmbee import *
from .deberta import *
from .distilbert import *
from .electra import *
from .encodec import *
from .esm import *
from .ernie import *
from .ernie_m import *
from .chatglm import *
from .chatglm2 import *
from .chatglm3 import *
from .gemma import *
from .gpt import *
from .gpt_neo import *
from .gpt_neox import *
from .gpt_bigcode import *
from .gpt_pangu import *
from .gpt2 import *
from .graphormer import *
from .hubert import *
from .layoutlm import *
from .llama import *
from .longformer import *
from .luke import *
from .mamba import *
from .mbart import *
from .megatron_bert import *
from .minicpm import *
from .mistral import *
from .mixtral import *
from .mobilebert import *
from .nezha import *
from .opt import *
from .phi import *
from .pop2piano import *
from .qwen2 import *
from .reformer import *
from .roberta import *
from .rwkv import *
from .seamless_m4t import *
from .seamless_m4t_v2 import *
from .starcoder2 import *
from .tinybert import *
from .t5 import *
from .xlm import *
from .xlm_roberta import *
from .whisper import *
from .wav2vec2 import *

__all__ = []
__all__.extend(albert.__all__)
__all__.extend(auto.__all__)
__all__.extend(bart.__all__)
__all__.extend(bark.__all__)
__all__.extend(bert.__all__)
__all__.extend(big_bird.__all__)
__all__.extend(bloom.__all__)
__all__.extend(clip.__all__)
__all__.extend(codegen.__all__)
__all__.extend(cpm.__all__)
__all__.extend(cpmant.__all__)
__all__.extend(cpmbee.__all__)
__all__.extend(deberta.__all__)
__all__.extend(distilbert.__all__)
__all__.extend(encodec.__all__)
__all__.extend(ernie.__all__)
__all__.extend(ernie_m.__all__)
__all__.extend(esm.__all__)
__all__.extend(electra.__all__)
__all__.extend(chatglm.__all__)
__all__.extend(chatglm2.__all__)
__all__.extend(chatglm3.__all__)
__all__.extend(gpt.__all__)
__all__.extend(gemma.__all__)
__all__.extend(gpt_neo.__all__)
__all__.extend(gpt_neox.__all__)
__all__.extend(gpt_pangu.__all__)
__all__.extend(gpt_bigcode.__all__)
__all__.extend(gpt2.__all__)
__all__.extend(graphormer.__all__)
__all__.extend(hubert.__all__)
__all__.extend(layoutlm.__all__)
__all__.extend(llama.__all__)
__all__.extend(longformer.__all__)
__all__.extend(luke.__all__)
__all__.extend(mamba.__all__)
__all__.extend(mbart.__all__)
__all__.extend(megatron_bert.__all__)
__all__.extend(minicpm.__all__)
__all__.extend(mistral.__all__)
__all__.extend(mixtral.__all__)
__all__.extend(mobilebert.__all__)
__all__.extend(nezha.__all__)
__all__.extend(opt.__all__)
__all__.extend(phi.__all__)
__all__.extend(pop2piano.__all__)
__all__.extend(qwen2.__all__)
__all__.extend(reformer.__all__)
__all__.extend(roberta.__all__)
__all__.extend(rwkv.__all__)
__all__.extend(seamless_m4t.__all__)
__all__.extend(seamless_m4t_v2.__all__)
__all__.extend(starcoder2.__all__)
__all__.extend(tinybert.__all__)
__all__.extend(t5.__all__)
__all__.extend(xlm.__all__)
__all__.extend(xlm_roberta.__all__)
__all__.extend(whisper.__all__)
__all__.extend(wav2vec2.__all__)
